services:
  minio:
    image: 'quay.io/minio/minio:latest'
    restart: 'unless-stopped'
    environment:
      MINIO_ROOT_USER: "${MINIO_ROOT_USER}"
      MINIO_ROOT_PASSWORD: "${MINIO_ROOT_PASSWORD}"
    volumes:
      - 'minio-data:/data'
    command: 'server /data --console-address ":9001"'
  server:
    depends_on:
      - 'minio'
    restart: 'unless-stopped'
    build: .
    image: 'git.agecem.com/agecem/agecem-org:latest'
    environment:
      AGECEM_ORG_SERVER_DOCUMENTS_ACCESS_KEY_ID: "${MINIO_ROOT_USER}"
      AGECEM_ORG_SERVER_DOCUMENTS_SECRET_ACCESS_KEY: "${MINIO_ROOT_PASSWORD}"
    ports:
      - '8080:8080'
    volumes:
      - 'server-config:/config'
    command: ['agecem-org', 'server', '--config', '/config/.agecem-org.yaml']

volumes:
  minio-data:
  server-config:
